Debian Bug report logs - #680476
release-notes: Note for SASL systems upgraded from Squeeze to Wheezy

Package: release-notes; Maintainer for release-notes is Debian Documentation Team <debian-doc@lists.debian.org>;

Reported by: Russell Coker <russell@coker.com.au>

Date: Fri, 6 Jul 2012 08:18:02 UTC

Severity: normal

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Documentation Team <debian-doc@lists.debian.org>:
Bug#680476; Package release-notes. (Fri, 06 Jul 2012 08:18:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Russell Coker <russell@coker.com.au>:
New Bug report received and forwarded. Copy sent to Debian Documentation Team <debian-doc@lists.debian.org>. (Fri, 06 Jul 2012 08:18:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Russell Coker <russell@coker.com.au>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: release-notes: Note for SASL systems upgraded from Squeeze to Wheezy
Date: Fri, 06 Jul 2012 18:14:30 +1000
Package: release-notes
Severity: normal

If a system using SASL authentication via a MySQL database is upgraded from
Squeeze to Wheezy then it will stop working with no clear explanation.

In the configuration file (/etc/postfix/sasl/smtp.conf or equivalent for
other MTAs) the "auxprop_plugin: mysql" line has to be removed and replaced
with the following two lines due to a change in the way SQL plugins are
managed:

auxprop_plugin: sql
sql_engine: mysql

Also the SQL query needs to have “%u” replaced with “%u@%r” because we now
have user and realm provided separately.




Reply sent to Ondřej Surý <ondrej@debian.org>:
You have taken responsibility. (Mon, 06 Aug 2012 12:06:16 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Mon, 06 Aug 2012 12:06:16 GMT) Full text and rfc822 format available.

Message #10 received at 680476-close@bugs.debian.org (full text, mbox):

From: Ondřej Surý <ondrej@debian.org>
To: 680476-close@bugs.debian.org
Subject: Bug#680476: fixed in cyrus-sasl2 2.1.25.dfsg1-5
Date: Mon, 06 Aug 2012 12:02:13 +0000
Source: cyrus-sasl2
Source-Version: 2.1.25.dfsg1-5

We believe that the bug you reported is fixed in the latest version of
cyrus-sasl2, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 680476@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Ondřej Surý <ondrej@debian.org> (supplier of updated cyrus-sasl2 package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Aug 2012 13:34:27 +0200
Source: cyrus-sasl2
Binary: sasl2-bin cyrus-sasl2-doc libsasl2-2 libsasl2-modules libsasl2-modules-ldap libsasl2-modules-otp libsasl2-modules-sql libsasl2-modules-gssapi-mit libsasl2-dev libsasl2-modules-gssapi-heimdal cyrus-sasl2-dbg cyrus-sasl2-mit-dbg cyrus-sasl2-heimdal-dbg
Architecture: source amd64 all
Version: 2.1.25.dfsg1-5
Distribution: unstable
Urgency: low
Maintainer: Debian Cyrus SASL Team <pkg-cyrus-sasl2-debian-devel@lists.alioth.debian.org>
Changed-By: Ondřej Surý <ondrej@debian.org>
Description: 
 cyrus-sasl2-dbg - Cyrus SASL - debugging symbols
 cyrus-sasl2-doc - Cyrus SASL - documentation
 cyrus-sasl2-heimdal-dbg - Cyrus SASL - debugging symbols for Heimdal modules
 cyrus-sasl2-mit-dbg - Cyrus SASL - debugging symbols for MIT modules
 libsasl2-2 - Cyrus SASL - authentication abstraction library
 libsasl2-dev - Cyrus SASL - development files for authentication abstraction lib
 libsasl2-modules - Cyrus SASL - pluggable authentication modules
 libsasl2-modules-gssapi-heimdal - Pluggable Authentication Modules for SASL (GSSAPI)
 libsasl2-modules-gssapi-mit - Cyrus SASL - pluggable authentication modules (GSSAPI)
 libsasl2-modules-ldap - Cyrus SASL - pluggable authentication modules (LDAP)
 libsasl2-modules-otp - Cyrus SASL - pluggable authentication modules (OTP)
 libsasl2-modules-sql - Cyrus SASL - pluggable authentication modules (SQL)
 sasl2-bin  - Cyrus SASL - administration programs for SASL users database
Closes: 671015 676914 677685 680476
Changes: 
 cyrus-sasl2 (2.1.25.dfsg1-5) unstable; urgency=low
 .
   * New sourceful upload (Closes: #676914)
   * Relabel /run directory for SE Linux (Closes: #677685)
   * Add a NEWS file about auxprop_plugin mysql->sql change
     (Closes: #680476)
   * Improve documentation on LDAP_SASLAUTHD file (Closes: #671015)
Checksums-Sha1: 
 9544826806f1328145bb1006be109a8125791817 2556 cyrus-sasl2_2.1.25.dfsg1-5.dsc
 9896e7ba411cdebb337ac8092edec39cb0dd773b 105860 cyrus-sasl2_2.1.25.dfsg1-5.debian.tar.gz
 c07f71081e26f266a452984d44ea5347331a1a59 187352 sasl2-bin_2.1.25.dfsg1-5_amd64.deb
 dc027a46f42dd1ca0406658e69bb8b8f1a14d698 114138 cyrus-sasl2-doc_2.1.25.dfsg1-5_all.deb
 ae1432be4358f442a2050c9cf12f661a5519a7a2 120294 libsasl2-2_2.1.25.dfsg1-5_amd64.deb
 60ca17340d81d9d572961add8fad96df2651869c 115834 libsasl2-modules_2.1.25.dfsg1-5_amd64.deb
 fa2ad11ce17401a3a5bd6ab12a4e6a77f8e60b41 64340 libsasl2-modules-ldap_2.1.25.dfsg1-5_amd64.deb
 3cf74faa30af1b8e6cbf527c46b6d4b7af1333a9 88686 libsasl2-modules-otp_2.1.25.dfsg1-5_amd64.deb
 80c4e56613f36d7e3e98c3e8719966e5f61bfb9f 67666 libsasl2-modules-sql_2.1.25.dfsg1-5_amd64.deb
 2cd41f28b1b978470c145f2c6b4c49c301db83d6 100138 libsasl2-modules-gssapi-mit_2.1.25.dfsg1-5_amd64.deb
 a4a43a3a2d1be0bf89d234d38c667c1862e3e76c 360502 libsasl2-dev_2.1.25.dfsg1-5_amd64.deb
 84558d2512e0ff1391a39ef107b39b92d8217f5b 69284 libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-5_amd64.deb
 f584df63274e57e366d352c13c1560e6af666d94 880484 cyrus-sasl2-dbg_2.1.25.dfsg1-5_amd64.deb
 0dbe74d8645f3c34a04c94e08b8792c9a8a7376d 88928 cyrus-sasl2-mit-dbg_2.1.25.dfsg1-5_amd64.deb
 45c17a6de863d3b108ed7798716fde8c8c15011a 89482 cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-5_amd64.deb
Checksums-Sha256: 
 e485909c24a0140fec558de58f779440763eee09fa69f78476bed0ffba374743 2556 cyrus-sasl2_2.1.25.dfsg1-5.dsc
 f58b585b811fdfd4c8db06a70dd7b1d82a65b117cb49ae70df71f89531c7fba4 105860 cyrus-sasl2_2.1.25.dfsg1-5.debian.tar.gz
 4c9f39ded6ce0710b9ac28f7a6deba8615c2bac50dba00aa2b6d23d3031d9cf1 187352 sasl2-bin_2.1.25.dfsg1-5_amd64.deb
 9728da6be355350e9284c59b328cdb57239ef77fcb5259452a2062e99f08730c 114138 cyrus-sasl2-doc_2.1.25.dfsg1-5_all.deb
 5492035cfb6113e3b29bd3e9ce6bf2a39185f52942841f526e45d36784c54c3f 120294 libsasl2-2_2.1.25.dfsg1-5_amd64.deb
 d8d7730db7f8d55b56115203a61ae3371841df9548d0d265300ebf74b5a9071c 115834 libsasl2-modules_2.1.25.dfsg1-5_amd64.deb
 33b1f485b37906a90cac900317c98cbd62da374ab027dab9d81a840cb5a29100 64340 libsasl2-modules-ldap_2.1.25.dfsg1-5_amd64.deb
 b4cc40551e43ce255b999a0d3f4936858e5682817c69ed541ce4f20c274bdeec 88686 libsasl2-modules-otp_2.1.25.dfsg1-5_amd64.deb
 1ea15acd0f1b77af5db283256f8a05e1e20812b4bd3c5fe69d8ca06934466512 67666 libsasl2-modules-sql_2.1.25.dfsg1-5_amd64.deb
 372aa63fdf475ff20a88d9314078774f998bcbf3db68fd3fa5ec91338c23638f 100138 libsasl2-modules-gssapi-mit_2.1.25.dfsg1-5_amd64.deb
 d86cb99306d67284706439bcee2aede21eef9d8ac7906d9371e6fb0a2ec25db4 360502 libsasl2-dev_2.1.25.dfsg1-5_amd64.deb
 8313eed21aa19b124c491225e2585ea1d2a003539f832c215bbf7b16e2029104 69284 libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-5_amd64.deb
 7e4a6c4ead0a1ab383ce240b91275f1223801f2e138332767174ab76947e561a 880484 cyrus-sasl2-dbg_2.1.25.dfsg1-5_amd64.deb
 685f421e4e86231b8e4f4b7dada695fde810bd4bfffe309d306fe57ecdf98910 88928 cyrus-sasl2-mit-dbg_2.1.25.dfsg1-5_amd64.deb
 0760f7f171c67a6c17101b7f497544c7b128c8da6ccc68002c4b5b5b12ce36ff 89482 cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-5_amd64.deb
Files: 
 111c97f074299582d71b27bbc2c653a9 2556 libs standard cyrus-sasl2_2.1.25.dfsg1-5.dsc
 21199b653e8f09f05bb58e96d5c0da2e 105860 libs standard cyrus-sasl2_2.1.25.dfsg1-5.debian.tar.gz
 656aa647b1843d97d958fa30f51eaf8f 187352 utils optional sasl2-bin_2.1.25.dfsg1-5_amd64.deb
 40481c8f77713fe4a6415f43bbac913e 114138 doc optional cyrus-sasl2-doc_2.1.25.dfsg1-5_all.deb
 4f1e316e7c105b2aed75f79c31b590df 120294 libs standard libsasl2-2_2.1.25.dfsg1-5_amd64.deb
 08bfc9f7625fedfeafab69cece87f82d 115834 libs optional libsasl2-modules_2.1.25.dfsg1-5_amd64.deb
 64b5e8cc4c2a3860df24e4baf4d40c3f 64340 libs extra libsasl2-modules-ldap_2.1.25.dfsg1-5_amd64.deb
 93bc319eb064092a6126ac3046a91472 88686 libs extra libsasl2-modules-otp_2.1.25.dfsg1-5_amd64.deb
 33b87117d46c9497112e61123b2bed1e 67666 libs extra libsasl2-modules-sql_2.1.25.dfsg1-5_amd64.deb
 8ea888b5b8fc3c34174aa9930295285b 100138 libs extra libsasl2-modules-gssapi-mit_2.1.25.dfsg1-5_amd64.deb
 44c8234bc56ee1c3ee2ba858124e5a8b 360502 libdevel optional libsasl2-dev_2.1.25.dfsg1-5_amd64.deb
 8710aa889ce25327b213b19f74988733 69284 libs extra libsasl2-modules-gssapi-heimdal_2.1.25.dfsg1-5_amd64.deb
 3f3ac64c0dfdaac2127e75802d5b2dad 880484 debug extra cyrus-sasl2-dbg_2.1.25.dfsg1-5_amd64.deb
 153a9a8d50aa2098e543c3b2a59fa376 88928 debug extra cyrus-sasl2-mit-dbg_2.1.25.dfsg1-5_amd64.deb
 ca4a2bb8ff3211f17556e2861d2972be 89482 debug extra cyrus-sasl2-heimdal-dbg_2.1.25.dfsg1-5_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlAfrj4ACgkQ9OZqfMIN8nMRAgCdEz1PykQ+OpecU0Q0H933w8v4
sfgAn3EfH4c8cWhm4p4kM/cJelN9kqLG
=6diB
-----END PGP SIGNATURE-----




No longer marked as fixed in versions cyrus-sasl2/2.1.25.dfsg1-5. Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 20 Aug 2012 20:06:06 GMT) Full text and rfc822 format available.

Bug reopened Request was from Ondřej Surý <ondrej@sury.org> to control@bugs.debian.org. (Mon, 20 Aug 2012 20:06:06 GMT) Full text and rfc822 format available.

Reply sent to Julien Cristau <jcristau@debian.org>:
You have taken responsibility. (Thu, 02 May 2013 18:33:12 GMT) Full text and rfc822 format available.

Notification sent to Russell Coker <russell@coker.com.au>:
Bug acknowledged by developer. (Thu, 02 May 2013 18:33:12 GMT) Full text and rfc822 format available.

Message #19 received at 680476-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Russell Coker <russell@coker.com.au>, 680476-done@bugs.debian.org
Cc: cyrus-sasl2@packages.debian.org
Subject: Re: Bug#680476: release-notes: Note for SASL systems upgraded from Squeeze to Wheezy
Date: Thu, 2 May 2013 20:30:15 +0200
[Message part 1 (text/plain, inline)]
On Fri, Jul  6, 2012 at 18:14:30 +1000, Russell Coker wrote:

> Package: release-notes
> Severity: normal
> 
> If a system using SASL authentication via a MySQL database is upgraded from
> Squeeze to Wheezy then it will stop working with no clear explanation.
> 
This is now included in a NEWS.Debian file in the package, but I'm going
to add the below to the release notes.  Please follow-up ASAP if you
want adjustments made.

diff --git a/en/issues.dbk b/en/issues.dbk
index 3c2852b..31f3cdf 100644
--- a/en/issues.dbk
+++ b/en/issues.dbk
@@ -363,4 +363,30 @@ master is able to manage a 2.6 client system.
   </para>
 </section>
 
+<section id="cyrus-sasl">
+  <title>Cyrus SASL SQL backends</title>
+  <para>
+    Configuration of SQL engine backends for Cyrus SASL, as provided in the
+    <systemitem role="package">libsasl2-modules-sql</systemitem> package, has
+    changed from database specific configuration (e.g.
+    <literal>mysql</literal>) to the generic <literal>sql</literal> auxprop
+    plugin.
+  </para>
+  <para>
+    Configuration files for applications using SASL have to be updated, for
+    example:
+    <screen>
+auxprop_plugin: mysql</screen>
+    should be replaced by:
+    <screen>
+auxprop_plugin: sql
+sql_engine: mysql</screen>
+  </para>
+  <para>
+    In addition, the SQL query (if used) needs to have <literal>%u</literal>
+    replaced with <literal>%u@%r</literal>, because user and realm are now
+    provided separately.
+  </para>
+</section>
+
 </chapter>

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 31 May 2013 07:29:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 08:41:42 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.